BasicAppIconPart (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.icon
Class BasicAppIconPart

    java.lang.Object
      com.bbn.openmap.tools.icon.BasicIconPart
          com.bbn.openmap.tools.icon.BasicAppIconPart

All Implemented Interfaces:
  IconPart, java.lang.Cloneable

    public class BasicAppIconPart

extends BasicIconPart
implements IconPart, java.lang.Cloneable

A BasicAppIconPart is a BasicIconPart that can be interested in a set of DrawingAttributes on the fly. Good for an icon part that may change under certain system conditions, like something reflecting a current color, or an application icon reflecting a color theme in the application. The BasicAppIconPart may have a default DrawingAttributes that describe how it should be drawn if other DrawingAttributes aren't provided at rendertime.

Field Summary

Fields inherited from class com.bbn.openmap.tools.icon.BasicIconPart
`baseTransform, clip, geometry, gradient, renderingAttributes`

Constructor Summary
`BasicAppIconPart(java.awt.Shape shape)`
`BasicAppIconPart(java.awt.Shape shape, java.awt.geom.AffineTransform transform)`

Method Summary
`protected DrawingAttributes` | `getAttributesForRendering(DrawingAttributes da)` Get the DrawingAttributes that should be used for rendering.

Methods inherited from class com.bbn.openmap.tools.icon.BasicIconPart
`clone, getClip, getGeometry, getRenderingAttributes, getTransform, isGradient, render, render, setClip, setGeometry, setGradient, setRenderingAttributes, setTransform`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.tools.icon.IconPart
`clone, getClip, getGeometry, getRenderingAttributes, render, render, setClip, setGeometry, setRenderingAttributes`

Constructor Detail

### BasicAppIconPart

    public BasicAppIconPart(java.awt.Shape shape)

### BasicAppIconPart

    public BasicAppIconPart(java.awt.Shape shape,
                            java.awt.geom.AffineTransform transform)

Method Detail

### getAttributesForRendering

    protected DrawingAttributes getAttributesForRendering(DrawingAttributes da)

  Get the DrawingAttributes that should be used for rendering.

  Overrides:
    `getAttributesForRendering` in class `BasicIconPart`
  Parameters:
    `da` - DrawingAttributes passed in that may affect rendering choices. For the BasicAppIconPart, if this is not null, it is returned. Otherwise, the internal version is returned.
  Returns:
    DrawingAttribute for this part.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details